Package org.apache.sysds.runtime.lineage

## Class LineageParser

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageParser

    public class LineageParser
    extends Object

### Field Summary

Fields
`static LineageTokenizer` `lineageTraceTokenizer`

### Constructor Summary

Constructors
`LineageParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LineageItem` `parseLineageTrace​(String str)`
`static LineageItem` `parseLineageTrace​(String str, String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lineageTraceTokenizer

    public static final LineageTokenizer lineageTraceTokenizer

### Constructor Detail

#### LineageParser

    public LineageParser()

### Method Detail

#### parseLineageTrace

    public static LineageItem parseLineageTrace​(String str)

#### parseLineageTrace

    public static LineageItem parseLineageTrace​(String str,
                                                String name)